89e9cb19c5692cfcfafc4c4a5960c652923ddf2f
[scilab.git] / scilab / modules / special_functions / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 # Copyright (C) 2011 - DIGITEO - Allan CORNET
21 #
22 # This file is distributed under the same license as the Scilab package.
23
24 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
25 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
26 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
27 #
28 # This file must be used under the terms of the CeCILL.
29 # This source file is licensed as described in the file COPYING, which
30 # you should have received as part of this distribution.  The terms
31 # are also available at
32 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
33 #
34
35 ##########
36 ### Makefile included stuff
37 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
38 ##########
39
40
41 VPATH = @srcdir@
42 pkgdatadir = $(datadir)/@PACKAGE@
43 pkgincludedir = $(includedir)/@PACKAGE@
44 pkglibdir = $(libdir)/@PACKAGE@
45 pkglibexecdir = $(libexecdir)/@PACKAGE@
46 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
47 install_sh_DATA = $(install_sh) -c -m 644
48 install_sh_PROGRAM = $(install_sh) -c
49 install_sh_SCRIPT = $(install_sh) -c
50 INSTALL_HEADER = $(INSTALL_DATA)
51 transform = $(program_transform_name)
52 NORMAL_INSTALL = :
53 PRE_INSTALL = :
54 POST_INSTALL = :
55 NORMAL_UNINSTALL = :
56 PRE_UNINSTALL = :
57 POST_UNINSTALL = :
58 build_triplet = @build@
59 host_triplet = @host@
60 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
61         $(top_srcdir)/Makefile.incl.am
62 @NEED_JAVA_TRUE@am__append_1 = java
63 subdir = modules/special_functions
64 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
65 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
66         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
67         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
68         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
69         $(top_srcdir)/m4/intel_compiler.m4 \
70         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
71         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
72         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
73         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
74         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
75         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
76         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
77         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
78         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
79         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
80         $(top_srcdir)/configure.ac
81 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
82         $(ACLOCAL_M4)
83 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
84 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
85 CONFIG_CLEAN_FILES =
86 CONFIG_CLEAN_VPATH_FILES =
87 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
88 am__vpath_adj = case $$p in \
89     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
90     *) f=$$p;; \
91   esac;
92 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
93 am__install_max = 40
94 am__nobase_strip_setup = \
95   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
96 am__nobase_strip = \
97   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
98 am__nobase_list = $(am__nobase_strip_setup); \
99   for p in $$list; do echo "$$p $$p"; done | \
100   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
101   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
102     if (++n[$$2] == $(am__install_max)) \
103       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
104     END { for (dir in files) print dir, files[dir] }'
105 am__base_list = \
106   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
107   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
108 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
109         "$(DESTDIR)$(libscispecial_functions_la_etcdir)" \
110         "$(DESTDIR)$(libscispecial_functions_la_rootdir)" \
111         "$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)"
112 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
113 libscispecial_functions_algo_la_LIBADD =
114 am__objects_1 = libscispecial_functions_algo_la-zbeshv.lo
115 am__objects_2 = dbesig.lo dbesjg.lo dbeskg.lo dbesyg.lo zbesig.lo \
116         zbesjg.lo zbeskg.lo zbesyg.lo
117 am__objects_3 =
118 am_libscispecial_functions_algo_la_OBJECTS = $(am__objects_1) \
119         $(am__objects_2) $(am__objects_3)
120 libscispecial_functions_algo_la_OBJECTS =  \
121         $(am_libscispecial_functions_algo_la_OBJECTS)
122 @MAINTAINER_MODE_FALSE@am_libscispecial_functions_algo_la_rpath =
123 @MAINTAINER_MODE_TRUE@am_libscispecial_functions_algo_la_rpath =
124 libscispecial_functions_la_DEPENDENCIES =  \
125         libscispecial_functions-algo.la
126 am__objects_4 = libscispecial_functions_la-sci_dlgamma.lo \
127         libscispecial_functions_la-sci_bessely.lo \
128         libscispecial_functions_la-sci_beta.lo \
129         libscispecial_functions_la-sci_gamma.lo \
130         libscispecial_functions_la-sci_legendre.lo \
131         libscispecial_functions_la-sci_besselh.lo \
132         libscispecial_functions_la-sci_besseli.lo \
133         libscispecial_functions_la-sci_besselj.lo \
134         libscispecial_functions_la-sci_besselk.lo \
135         libscispecial_functions_la-sci_calerf.lo \
136         libscispecial_functions_la-gw_special_functions.lo \
137         libscispecial_functions_la-sci_lgamma.lo
138 am__objects_5 = libscispecial_functions_la-sci_f_dlgamma.lo \
139         libscispecial_functions_la-sci_f_lgamma.lo \
140         libscispecial_functions_la-sci_f_gamma.lo \
141         libscispecial_functions_la-sci_f_calerf.lo
142 am_libscispecial_functions_la_OBJECTS = $(am__objects_4) \
143         $(am__objects_5)
144 libscispecial_functions_la_OBJECTS =  \
145         $(am_libscispecial_functions_la_OBJECTS)
146 libscispecial_functions_la_LINK = $(LIBTOOL) --tag=F77 \
147         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(F77LD) \
148         $(libscispecial_functions_la_FFLAGS) $(FFLAGS) \
149         $(libscispecial_functions_la_LDFLAGS) $(LDFLAGS) -o $@
150 @MAINTAINER_MODE_FALSE@am_libscispecial_functions_la_rpath =
151 @MAINTAINER_MODE_TRUE@am_libscispecial_functions_la_rpath = -rpath \
152 @MAINTAINER_MODE_TRUE@  $(pkglibdir)
153 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
154 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
155 am__depfiles_maybe = depfiles
156 am__mv = mv -f
157 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
158         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
159 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
160         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
161         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
162 CCLD = $(CC)
163 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
164         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
165         $(LDFLAGS) -o $@
166 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
167 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
168         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
169 F77LD = $(F77)
170 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
171         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
172         $(LDFLAGS) -o $@
173 SOURCES = $(libscispecial_functions_algo_la_SOURCES) \
174         $(libscispecial_functions_la_SOURCES)
175 DIST_SOURCES = $(libscispecial_functions_algo_la_SOURCES) \
176         $(libscispecial_functions_la_SOURCES)
177 DATA = $(libscispecial_functions_la_etc_DATA) \
178         $(libscispecial_functions_la_root_DATA) \
179         $(libscispecial_functions_la_sci_gateway_DATA)
180 ETAGS = etags
181 CTAGS = ctags
182 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
183 ACLOCAL = @ACLOCAL@
184 ALL_LINGUAS = @ALL_LINGUAS@
185 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
186 AMTAR = @AMTAR@
187 ANT = @ANT@
188 ANTLR = @ANTLR@
189 AR = @AR@
190 AUTOCONF = @AUTOCONF@
191 AUTOHEADER = @AUTOHEADER@
192 AUTOMAKE = @AUTOMAKE@
193 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
194 AWK = @AWK@
195 BATIK = @BATIK@
196 BLAS_LIBS = @BLAS_LIBS@
197 BSH = @BSH@
198 CC = @CC@
199 CCDEPMODE = @CCDEPMODE@
200 CFLAGS = @CFLAGS@
201 CHECKSTYLE = @CHECKSTYLE@
202 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
203 COMMONS_IO = @COMMONS_IO@
204 COMMONS_LOGGING = @COMMONS_LOGGING@
205 CPP = @CPP@
206 CPPFLAGS = @CPPFLAGS@
207 CXX = @CXX@
208 CXXCPP = @CXXCPP@
209 CXXDEPMODE = @CXXDEPMODE@
210 CXXFLAGS = @CXXFLAGS@
211 CYGPATH_W = @CYGPATH_W@
212 DEFS = @DEFS@
213 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
214 DEPDIR = @DEPDIR@
215 DOCBOOK_ROOT = @DOCBOOK_ROOT@
216 DSYMUTIL = @DSYMUTIL@
217 DUMPBIN = @DUMPBIN@
218 ECHO_C = @ECHO_C@
219 ECHO_N = @ECHO_N@
220 ECHO_T = @ECHO_T@
221 EGREP = @EGREP@
222 EXEEXT = @EXEEXT@
223 F77 = @F77@
224 FFLAGS = @FFLAGS@
225 FFTW3_LIB = @FFTW3_LIB@
226 FFTW_ENABLE = @FFTW_ENABLE@
227 FGREP = @FGREP@
228 FLEXDOCK = @FLEXDOCK@
229 FLIBS = @FLIBS@
230 FOP = @FOP@
231 GENHTML = @GENHTML@
232 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
233 GIWS_BIN = @GIWS_BIN@
234 GLUEGEN_RT = @GLUEGEN_RT@
235 GMSGFMT = @GMSGFMT@
236 GMSGFMT_015 = @GMSGFMT_015@
237 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
238 GREP = @GREP@
239 GUI_ENABLE = @GUI_ENABLE@
240 HDF5_CFLAGS = @HDF5_CFLAGS@
241 HDF5_ENABLE = @HDF5_ENABLE@
242 HDF5_LIBS = @HDF5_LIBS@
243 HELP_ENABLE = @HELP_ENABLE@
244 INSTALL = @INSTALL@
245 INSTALL_DATA = @INSTALL_DATA@
246 INSTALL_PROGRAM = @INSTALL_PROGRAM@
247 INSTALL_SCRIPT = @INSTALL_SCRIPT@
248 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
249 INTLLIBS = @INTLLIBS@
250 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
251 JAR = @JAR@
252 JAVA = @JAVA@
253 JAVAC = @JAVAC@
254 JAVAC_DEBUG = @JAVAC_DEBUG@
255 JAVADOC = @JAVADOC@
256 JAVAH = @JAVAH@
257 JAVASCI_ENABLE = @JAVASCI_ENABLE@
258 JAVA_ENABLE = @JAVA_ENABLE@
259 JAVA_G = @JAVA_G@
260 JAVA_HOME = @JAVA_HOME@
261 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
262 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
263 JDB = @JDB@
264 JEUCLID_CORE = @JEUCLID_CORE@
265 JGRAPHX = @JGRAPHX@
266 JHALL = @JHALL@
267 JHDF5 = @JHDF5@
268 JLATEXMATH = @JLATEXMATH@
269 JLATEXMATH_FOP = @JLATEXMATH_FOP@
270 JOGL = @JOGL@
271 JROSETTA_API = @JROSETTA_API@
272 JROSETTA_ENGINE = @JROSETTA_ENGINE@
273 JUNIT = @JUNIT@
274 LAPACK_LIBS = @LAPACK_LIBS@
275 LCOV = @LCOV@
276 LD = @LD@
277 LDFLAGS = @LDFLAGS@
278 LIBICONV = @LIBICONV@
279 LIBINTL = @LIBINTL@
280 LIBM = @LIBM@
281 LIBOBJS = @LIBOBJS@
282 LIBS = @LIBS@
283 LIBTOOL = @LIBTOOL@
284 LIPO = @LIPO@
285 LN_S = @LN_S@
286 LOGGING_LEVEL = @LOGGING_LEVEL@
287 LOOKS = @LOOKS@
288 LTLIBICONV = @LTLIBICONV@
289 LTLIBINTL = @LTLIBINTL@
290 LTLIBOBJS = @LTLIBOBJS@
291 MAINT = @MAINT@
292 MAKEINFO = @MAKEINFO@
293 MATIO_CFLAGS = @MATIO_CFLAGS@
294 MATIO_ENABLE = @MATIO_ENABLE@
295 MATIO_LIBS = @MATIO_LIBS@
296 MKDIR_P = @MKDIR_P@
297 MSGCAT = @MSGCAT@
298 MSGFMT = @MSGFMT@
299 MSGFMT_015 = @MSGFMT_015@
300 MSGMERGE = @MSGMERGE@
301 NM = @NM@
302 NMEDIT = @NMEDIT@
303 OBJDUMP = @OBJDUMP@
304 OBJEXT = @OBJEXT@
305 OCAMLC = @OCAMLC@
306 OCAMLDEP = @OCAMLDEP@
307 OCAMLLEX = @OCAMLLEX@
308 OCAMLOPT = @OCAMLOPT@
309 OCAMLYACC = @OCAMLYACC@
310 OPENMP_CFLAGS = @OPENMP_CFLAGS@
311 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
312 OPENMP_ENABLE = @OPENMP_ENABLE@
313 OPENMP_LIBS = @OPENMP_LIBS@
314 OTOOL = @OTOOL@
315 OTOOL64 = @OTOOL64@
316 PACKAGE = @PACKAGE@
317 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
318 PACKAGE_NAME = @PACKAGE_NAME@
319 PACKAGE_STRING = @PACKAGE_STRING@
320 PACKAGE_TARNAME = @PACKAGE_TARNAME@
321 PACKAGE_URL = @PACKAGE_URL@
322 PACKAGE_VERSION = @PACKAGE_VERSION@
323 PATH_SEPARATOR = @PATH_SEPARATOR@
324 PCRE_CFLAGS = @PCRE_CFLAGS@
325 PCRE_CONFIG = @PCRE_CONFIG@
326 PCRE_LIBS = @PCRE_LIBS@
327 PCRE_VERSION = @PCRE_VERSION@
328 PKG_CONFIG = @PKG_CONFIG@
329 POSUB = @POSUB@
330 POW_LIB = @POW_LIB@
331 PYTHON = @PYTHON@
332 QDOX = @QDOX@
333 RANLIB = @RANLIB@
334 RELOCATABLE = @RELOCATABLE@
335 RT_LIB = @RT_LIB@
336 SAXON = @SAXON@
337 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
338 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
339 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
340 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
341 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
342 SED = @SED@
343 SET_MAKE = @SET_MAKE@
344 SET_RELOCATABLE = @SET_RELOCATABLE@
345 SHELL = @SHELL@
346 SKINLF = @SKINLF@
347 SPLINT = @SPLINT@
348 STRIP = @STRIP@
349 SWIG_BIN = @SWIG_BIN@
350 SWIG_JAVA = @SWIG_JAVA@
351 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
352 TCLTK_LIBS = @TCLTK_LIBS@
353 TCL_INC_PATH = @TCL_INC_PATH@
354 TESTNG = @TESTNG@
355 TK_INC_PATH = @TK_INC_PATH@
356 UMFPACK_ENABLE = @UMFPACK_ENABLE@
357 UMFPACK_LIB = @UMFPACK_LIB@
358 USE_NLS = @USE_NLS@
359 VERSION = @VERSION@
360 WITH_OCAML = @WITH_OCAML@
361 WITH_TKSCI = @WITH_TKSCI@
362 XCOS_ENABLE = @XCOS_ENABLE@
363 XGETTEXT = @XGETTEXT@
364 XGETTEXT_015 = @XGETTEXT_015@
365 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
366 XMKMF = @XMKMF@
367 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
368 XML_APIS_EXT = @XML_APIS_EXT@
369 XML_CONFIG = @XML_CONFIG@
370 XML_FLAGS = @XML_FLAGS@
371 XML_LIBS = @XML_LIBS@
372 XML_VERSION = @XML_VERSION@
373 X_CFLAGS = @X_CFLAGS@
374 X_EXTRA_LIBS = @X_EXTRA_LIBS@
375 X_LIBS = @X_LIBS@
376 X_PRE_LIBS = @X_PRE_LIBS@
377 abs_builddir = @abs_builddir@
378 abs_srcdir = @abs_srcdir@
379 abs_top_builddir = @abs_top_builddir@
380 abs_top_srcdir = @abs_top_srcdir@
381 ac_ct_CC = @ac_ct_CC@
382 ac_ct_CXX = @ac_ct_CXX@
383 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
384 ac_ct_F77 = @ac_ct_F77@
385 am__include = @am__include@
386 am__leading_dot = @am__leading_dot@
387 am__quote = @am__quote@
388 am__tar = @am__tar@
389 am__untar = @am__untar@
390 bindir = @bindir@
391 build = @build@
392 build_alias = @build_alias@
393 build_cpu = @build_cpu@
394 build_os = @build_os@
395 build_vendor = @build_vendor@
396 builddir = @builddir@
397 cxx_present = @cxx_present@
398 datadir = @datadir@
399 datarootdir = @datarootdir@
400 docdir = @docdir@
401 dvidir = @dvidir@
402 exec_prefix = @exec_prefix@
403 host = @host@
404 host_alias = @host_alias@
405 host_cpu = @host_cpu@
406 host_os = @host_os@
407 host_vendor = @host_vendor@
408 htmldir = @htmldir@
409 includedir = @includedir@
410 infodir = @infodir@
411 install_sh = @install_sh@
412 libdir = @libdir@
413 libexecdir = @libexecdir@
414 localedir = @localedir@
415 localstatedir = @localstatedir@
416 mandir = @mandir@
417 mkdir_p = @mkdir_p@
418 oldincludedir = @oldincludedir@
419 pdfdir = @pdfdir@
420 prefix = @prefix@
421 program_transform_name = @program_transform_name@
422 psdir = @psdir@
423 sbindir = @sbindir@
424 sharedstatedir = @sharedstatedir@
425 srcdir = @srcdir@
426 sysconfdir = @sysconfdir@
427 target_alias = @target_alias@
428 top_build_prefix = @top_build_prefix@
429 top_builddir = @top_builddir@
430 top_srcdir = @top_srcdir@
431 SPECIAL_FUNCTIONS_C_SOURCES = src/c/zbeshv.c
432
433 # List of the cpp files
434 SPECIAL_FUNCTIONS_CPP_SOURCES = 
435 SPECIAL_FUNCTIONS_FORTRAN_SOURCES = \
436 src/fortran/dbesig.f \
437 src/fortran/dbesjg.f \
438 src/fortran/dbeskg.f \
439 src/fortran/dbesyg.f \
440 src/fortran/zbesig.f \
441 src/fortran/zbesjg.f \
442 src/fortran/zbeskg.f \
443 src/fortran/zbesyg.f
444
445 GATEWAY_C_SOURCES = sci_gateway/c/sci_dlgamma.c \
446 sci_gateway/c/sci_bessely.c \
447 sci_gateway/c/sci_beta.c \
448 sci_gateway/c/sci_gamma.c \
449 sci_gateway/c/sci_legendre.c \
450 sci_gateway/c/sci_besselh.c \
451 sci_gateway/c/sci_besseli.c \
452 sci_gateway/c/sci_besselj.c \
453 sci_gateway/c/sci_besselk.c \
454 sci_gateway/c/sci_calerf.c \
455 sci_gateway/c/gw_special_functions.c \
456 sci_gateway/c/sci_lgamma.c
457
458 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/sci_f_dlgamma.f \
459 sci_gateway/fortran/sci_f_lgamma.f \
460 sci_gateway/fortran/sci_f_gamma.f \
461 sci_gateway/fortran/sci_f_calerf.f
462
463
464 # Includes need for the compilation
465 libscispecial_functions_la_FFLAGS = -I$(srcdir)/includes/
466
467 # Includes need for the compilation
468 libscispecial_functions_la_CPPFLAGS = -I$(srcdir)/includes/ \
469 -I$(srcdir)/src/c/ \
470 -I$(top_srcdir)/libs/MALLOC/includes/ \
471 -I$(top_srcdir)/modules/api_scilab/includes \
472 -I$(top_srcdir)/modules/output_stream/includes
473
474
475 # Includes need for the compilation
476 libscispecial_functions_la_CFLAGS = -I$(srcdir)/includes/ \
477 -I$(top_srcdir)/libs/MALLOC/includes/ \
478 -I$(srcdir)/src/c/ \
479 -I$(top_srcdir)/modules/core/src/c/ \
480 -I$(top_srcdir)/modules/elementary_functions/includes \
481 -I$(top_srcdir)/modules/api_scilab/includes \
482 -I$(top_srcdir)/modules/output_stream/includes
483
484 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscispecial_functions.la
485 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libscispecial_functions-algo.la libscispecial_functions.la
486 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libscispecial_functions-algo.la
487 libscispecial_functions_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
488 libscispecial_functions_algo_la_SOURCES = $(SPECIAL_FUNCTIONS_C_SOURCES) $(SPECIAL_FUNCTIONS_FORTRAN_SOURCES) $(SPECIAL_FUNCTIONS_CPP_SOURCES)
489 libscispecial_functions_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES) 
490 libscispecial_functions_algo_la_CFLAGS = $(libscispecial_functions_la_CFLAGS)
491
492 # For the code check (splint)
493 CHECK_SRC = $(SPECIAL_FUNCTIONS_C_SOURCES) $(GATEWAY_C_SOURCES)
494 INCLUDE_FLAGS = $(libscispecial_functions_la_CFLAGS)
495 libscispecial_functions_la_LIBADD = libscispecial_functions-algo.la
496
497 #### Target ######
498 modulename = special_functions
499
500 #### special_functions : Conf files ####
501 libscispecial_functions_la_rootdir = $(mydatadir)
502 libscispecial_functions_la_root_DATA = license.txt 
503
504 #### special_functions : init scripts ####
505 libscispecial_functions_la_etcdir = $(mydatadir)/etc
506 libscispecial_functions_la_etc_DATA = etc/special_functions.quit etc/special_functions.start
507
508 #### special_functions : gateway declaration ####
509 libscispecial_functions_la_sci_gatewaydir = $(mydatadir)/sci_gateway
510 libscispecial_functions_la_sci_gateway_DATA = sci_gateway/special_functions_gateway.xml
511
512 # Where all the Scilab stuff is installed (macros, help, ...)
513 mydatadir = $(pkgdatadir)/modules/$(modulename)
514
515 # splint options
516 SPLINT_OPTIONS = -weak -booltype BOOL
517
518 ########################### JAVA ######################################
519 #### We are delegating java compilation to ant... Thanks to that
520 #### the procedure will be the same with Microsoft Windows (C)
521 #### and Linux/Unix
522 #######################################################################
523 TARGETS_ALL = $(am__append_1)
524
525 ################ MACROS ######################
526 # Rule to build a macro
527 # NOT USED  AT THE MOMENT
528 SUFFIXES = .sci 
529
530 ########### INSTALL DOCUMENTATION ###################
531
532 # Install documentation files into the right target
533 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
534 # automake needs the html files to be present which is not the case when
535 # we are building Scilab
536
537 # Where it should be installed
538 pkgdocdir = $(mydatadir)
539
540 # What is the mask of the help source
541 DOCMASKXML = *.xml
542
543 # What is the mask of the MathML sources
544 DOCMASKMML = *.mml
545
546 ########### INSTALL DATA ###################
547 # Install macros, help & demos
548 # Where it should be installed
549 pkgmacrosdir = $(mydatadir)
550 # Which directory we process
551 MACRODIRS = macros/
552 # Mask of the Scilab sources macros
553 MACROMASK = *.sci
554 # Mask of the Scilab executable sources macros
555 MACROBUILDMASK = *.sce
556 # Mask of the Scilab compiled macros
557 MACROBINMASK = *.bin
558 # List of the standard directory for tests
559 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
560 # Where the demos should be installed
561 pkgdemosdir = $(mydatadir)
562 # List of the standard directory for demos
563 DEMOS_DIR = demos
564 # List of the standard directory for examples
565 EXAMPLES_DIR = examples
566 # Where to export JAVA archives (.jar)
567 JARDIR = jar/
568 # JAR files mask
569 JARMASK = *.jar
570 # Chapter file 
571 HELP_CHAPTERDIR = help/
572 HELP_CHAPTERFILE = addchapter.sce
573 HELP_CHAPTERLANG = en_US fr_FR pt_BR
574 all: all-am
575
576 .SUFFIXES:
577 .SUFFIXES: .sci .bin .c .f .lo .o .obj
578 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
579         @for dep in $?; do \
580           case '$(am__configure_deps)' in \
581             *$$dep*) \
582               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
583                 && { if test -f $@; then exit 0; else break; fi; }; \
584               exit 1;; \
585           esac; \
586         done; \
587         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/special_functions/Makefile'; \
588         $(am__cd) $(top_srcdir) && \
589           $(AUTOMAKE) --foreign modules/special_functions/Makefile
590 .PRECIOUS: Makefile
591 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
592         @case '$?' in \
593           *config.status*) \
594             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
595           *) \
596             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
597             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
598         esac;
599
600 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
601         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
602
603 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
604         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
605 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
606         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
607 $(am__aclocal_m4_deps):
608
609 clean-noinstLTLIBRARIES:
610         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
611         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
612           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
613           test "$$dir" != "$$p" || dir=.; \
614           echo "rm -f \"$${dir}/so_locations\""; \
615           rm -f "$${dir}/so_locations"; \
616         done
617 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
618         @$(NORMAL_INSTALL)
619         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
620         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
621         list2=; for p in $$list; do \
622           if test -f $$p; then \
623             list2="$$list2 $$p"; \
624           else :; fi; \
625         done; \
626         test -z "$$list2" || { \
627           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
628           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
629         }
630
631 uninstall-pkglibLTLIBRARIES:
632         @$(NORMAL_UNINSTALL)
633         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
634         for p in $$list; do \
635           $(am__strip_dir) \
636           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
637           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
638         done
639
640 clean-pkglibLTLIBRARIES:
641         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
642         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
643           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
644           test "$$dir" != "$$p" || dir=.; \
645           echo "rm -f \"$${dir}/so_locations\""; \
646           rm -f "$${dir}/so_locations"; \
647         done
648 libscispecial_functions-algo.la: $(libscispecial_functions_algo_la_OBJECTS) $(libscispecial_functions_algo_la_DEPENDENCIES) 
649         $(F77LINK) $(am_libscispecial_functions_algo_la_rpath) $(libscispecial_functions_algo_la_OBJECTS) $(libscispecial_functions_algo_la_LIBADD) $(LIBS)
650 libscispecial_functions.la: $(libscispecial_functions_la_OBJECTS) $(libscispecial_functions_la_DEPENDENCIES) 
651         $(libscispecial_functions_la_LINK) $(am_libscispecial_functions_la_rpath) $(libscispecial_functions_la_OBJECTS) $(libscispecial_functions_la_LIBADD) $(LIBS)
652
653 mostlyclean-compile:
654         -rm -f *.$(OBJEXT)
655
656 distclean-compile:
657         -rm -f *.tab.c
658
659 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Plo@am__quote@
660 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-gw_special_functions.Plo@am__quote@
661 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_besselh.Plo@am__quote@
662 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_besseli.Plo@am__quote@
663 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_besselj.Plo@am__quote@
664 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_besselk.Plo@am__quote@
665 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_bessely.Plo@am__quote@
666 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_beta.Plo@am__quote@
667 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_calerf.Plo@am__quote@
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Plo@am__quote@
669 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_gamma.Plo@am__quote@
670 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_legendre.Plo@am__quote@
671 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispecial_functions_la-sci_lgamma.Plo@am__quote@
672
673 .c.o:
674 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
675 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
677 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
678 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
679
680 .c.obj:
681 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
682 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
683 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
685 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
686
687 .c.lo:
688 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
689 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
690 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
691 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
692 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
693
694 libscispecial_functions_algo_la-zbeshv.lo: src/c/zbeshv.c
695 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_algo_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_algo_la-zbeshv.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Tpo -c -o libscispecial_functions_algo_la-zbeshv.lo `test -f 'src/c/zbeshv.c' || echo '$(srcdir)/'`src/c/zbeshv.c
696 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Tpo $(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Plo
697 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/zbeshv.c' object='libscispecial_functions_algo_la-zbeshv.lo' libtool=yes @AMDEPBACKSLASH@
698 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
699 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_algo_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_algo_la-zbeshv.lo `test -f 'src/c/zbeshv.c' || echo '$(srcdir)/'`src/c/zbeshv.c
700
701 libscispecial_functions_la-sci_dlgamma.lo: sci_gateway/c/sci_dlgamma.c
702 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_dlgamma.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Tpo -c -o libscispecial_functions_la-sci_dlgamma.lo `test -f 'sci_gateway/c/sci_dlgamma.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dlgamma.c
703 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Tpo $(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Plo
704 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_dlgamma.c' object='libscispecial_functions_la-sci_dlgamma.lo' libtool=yes @AMDEPBACKSLASH@
705 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
706 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_dlgamma.lo `test -f 'sci_gateway/c/sci_dlgamma.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dlgamma.c
707
708 libscispecial_functions_la-sci_bessely.lo: sci_gateway/c/sci_bessely.c
709 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_bessely.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_bessely.Tpo -c -o libscispecial_functions_la-sci_bessely.lo `test -f 'sci_gateway/c/sci_bessely.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bessely.c
710 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_bessely.Tpo $(DEPDIR)/libscispecial_functions_la-sci_bessely.Plo
711 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_bessely.c' object='libscispecial_functions_la-sci_bessely.lo' libtool=yes @AMDEPBACKSLASH@
712 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
713 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_bessely.lo `test -f 'sci_gateway/c/sci_bessely.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bessely.c
714
715 libscispecial_functions_la-sci_beta.lo: sci_gateway/c/sci_beta.c
716 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_beta.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_beta.Tpo -c -o libscispecial_functions_la-sci_beta.lo `test -f 'sci_gateway/c/sci_beta.c' || echo '$(srcdir)/'`sci_gateway/c/sci_beta.c
717 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_beta.Tpo $(DEPDIR)/libscispecial_functions_la-sci_beta.Plo
718 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_beta.c' object='libscispecial_functions_la-sci_beta.lo' libtool=yes @AMDEPBACKSLASH@
719 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
720 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_beta.lo `test -f 'sci_gateway/c/sci_beta.c' || echo '$(srcdir)/'`sci_gateway/c/sci_beta.c
721
722 libscispecial_functions_la-sci_gamma.lo: sci_gateway/c/sci_gamma.c
723 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_gamma.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_gamma.Tpo -c -o libscispecial_functions_la-sci_gamma.lo `test -f 'sci_gateway/c/sci_gamma.c' || echo '$(srcdir)/'`sci_gateway/c/sci_gamma.c
724 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_gamma.Tpo $(DEPDIR)/libscispecial_functions_la-sci_gamma.Plo
725 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_gamma.c' object='libscispecial_functions_la-sci_gamma.lo' libtool=yes @AMDEPBACKSLASH@
726 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
727 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_gamma.lo `test -f 'sci_gateway/c/sci_gamma.c' || echo '$(srcdir)/'`sci_gateway/c/sci_gamma.c
728
729 libscispecial_functions_la-sci_legendre.lo: sci_gateway/c/sci_legendre.c
730 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_legendre.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_legendre.Tpo -c -o libscispecial_functions_la-sci_legendre.lo `test -f 'sci_gateway/c/sci_legendre.c' || echo '$(srcdir)/'`sci_gateway/c/sci_legendre.c
731 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_legendre.Tpo $(DEPDIR)/libscispecial_functions_la-sci_legendre.Plo
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_legendre.c' object='libscispecial_functions_la-sci_legendre.lo' libtool=yes @AMDEPBACKSLASH@
733 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
734 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_legendre.lo `test -f 'sci_gateway/c/sci_legendre.c' || echo '$(srcdir)/'`sci_gateway/c/sci_legendre.c
735
736 libscispecial_functions_la-sci_besselh.lo: sci_gateway/c/sci_besselh.c
737 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_besselh.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_besselh.Tpo -c -o libscispecial_functions_la-sci_besselh.lo `test -f 'sci_gateway/c/sci_besselh.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselh.c
738 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_besselh.Tpo $(DEPDIR)/libscispecial_functions_la-sci_besselh.Plo
739 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_besselh.c' object='libscispecial_functions_la-sci_besselh.lo' libtool=yes @AMDEPBACKSLASH@
740 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
741 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_besselh.lo `test -f 'sci_gateway/c/sci_besselh.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselh.c
742
743 libscispecial_functions_la-sci_besseli.lo: sci_gateway/c/sci_besseli.c
744 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_besseli.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_besseli.Tpo -c -o libscispecial_functions_la-sci_besseli.lo `test -f 'sci_gateway/c/sci_besseli.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besseli.c
745 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_besseli.Tpo $(DEPDIR)/libscispecial_functions_la-sci_besseli.Plo
746 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_besseli.c' object='libscispecial_functions_la-sci_besseli.lo' libtool=yes @AMDEPBACKSLASH@
747 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
748 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_besseli.lo `test -f 'sci_gateway/c/sci_besseli.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besseli.c
749
750 libscispecial_functions_la-sci_besselj.lo: sci_gateway/c/sci_besselj.c
751 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_besselj.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_besselj.Tpo -c -o libscispecial_functions_la-sci_besselj.lo `test -f 'sci_gateway/c/sci_besselj.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselj.c
752 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_besselj.Tpo $(DEPDIR)/libscispecial_functions_la-sci_besselj.Plo
753 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_besselj.c' object='libscispecial_functions_la-sci_besselj.lo' libtool=yes @AMDEPBACKSLASH@
754 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
755 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_besselj.lo `test -f 'sci_gateway/c/sci_besselj.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselj.c
756
757 libscispecial_functions_la-sci_besselk.lo: sci_gateway/c/sci_besselk.c
758 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_besselk.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_besselk.Tpo -c -o libscispecial_functions_la-sci_besselk.lo `test -f 'sci_gateway/c/sci_besselk.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselk.c
759 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_besselk.Tpo $(DEPDIR)/libscispecial_functions_la-sci_besselk.Plo
760 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_besselk.c' object='libscispecial_functions_la-sci_besselk.lo' libtool=yes @AMDEPBACKSLASH@
761 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
762 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_besselk.lo `test -f 'sci_gateway/c/sci_besselk.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselk.c
763
764 libscispecial_functions_la-sci_calerf.lo: sci_gateway/c/sci_calerf.c
765 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_calerf.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_calerf.Tpo -c -o libscispecial_functions_la-sci_calerf.lo `test -f 'sci_gateway/c/sci_calerf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_calerf.c
766 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_calerf.Tpo $(DEPDIR)/libscispecial_functions_la-sci_calerf.Plo
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_calerf.c' object='libscispecial_functions_la-sci_calerf.lo' libtool=yes @AMDEPBACKSLASH@
768 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
769 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_calerf.lo `test -f 'sci_gateway/c/sci_calerf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_calerf.c
770
771 libscispecial_functions_la-gw_special_functions.lo: sci_gateway/c/gw_special_functions.c
772 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-gw_special_functions.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-gw_special_functions.Tpo -c -o libscispecial_functions_la-gw_special_functions.lo `test -f 'sci_gateway/c/gw_special_functions.c' || echo '$(srcdir)/'`sci_gateway/c/gw_special_functions.c
773 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-gw_special_functions.Tpo $(DEPDIR)/libscispecial_functions_la-gw_special_functions.Plo
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_special_functions.c' object='libscispecial_functions_la-gw_special_functions.lo' libtool=yes @AMDEPBACKSLASH@
775 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
776 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-gw_special_functions.lo `test -f 'sci_gateway/c/gw_special_functions.c' || echo '$(srcdir)/'`sci_gateway/c/gw_special_functions.c
777
778 libscispecial_functions_la-sci_lgamma.lo: sci_gateway/c/sci_lgamma.c
779 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -MT libscispecial_functions_la-sci_lgamma.lo -MD -MP -MF $(DEPDIR)/libscispecial_functions_la-sci_lgamma.Tpo -c -o libscispecial_functions_la-sci_lgamma.lo `test -f 'sci_gateway/c/sci_lgamma.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lgamma.c
780 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscispecial_functions_la-sci_lgamma.Tpo $(DEPDIR)/libscispecial_functions_la-sci_lgamma.Plo
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_lgamma.c' object='libscispecial_functions_la-sci_lgamma.lo' libtool=yes @AMDEPBACKSLASH@
782 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
783 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(libscispecial_functions_la_CFLAGS) $(CFLAGS) -c -o libscispecial_functions_la-sci_lgamma.lo `test -f 'sci_gateway/c/sci_lgamma.c' || echo '$(srcdir)/'`sci_gateway/c/sci_lgamma.c
784
785 .f.o:
786         $(F77COMPILE) -c -o $@ $<
787
788 .f.obj:
789         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
790
791 .f.lo:
792         $(LTF77COMPILE) -c -o $@ $<
793
794 dbesig.lo: src/fortran/dbesig.f
795         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dbesig.lo `test -f 'src/fortran/dbesig.f' || echo '$(srcdir)/'`src/fortran/dbesig.f
796
797 dbesjg.lo: src/fortran/dbesjg.f
798         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dbesjg.lo `test -f 'src/fortran/dbesjg.f' || echo '$(srcdir)/'`src/fortran/dbesjg.f
799
800 dbeskg.lo: src/fortran/dbeskg.f
801         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dbeskg.lo `test -f 'src/fortran/dbeskg.f' || echo '$(srcdir)/'`src/fortran/dbeskg.f
802
803 dbesyg.lo: src/fortran/dbesyg.f
804         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dbesyg.lo `test -f 'src/fortran/dbesyg.f' || echo '$(srcdir)/'`src/fortran/dbesyg.f
805
806 zbesig.lo: src/fortran/zbesig.f
807         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zbesig.lo `test -f 'src/fortran/zbesig.f' || echo '$(srcdir)/'`src/fortran/zbesig.f
808
809 zbesjg.lo: src/fortran/zbesjg.f
810         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zbesjg.lo `test -f 'src/fortran/zbesjg.f' || echo '$(srcdir)/'`src/fortran/zbesjg.f
811
812 zbeskg.lo: src/fortran/zbeskg.f
813         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zbeskg.lo `test -f 'src/fortran/zbeskg.f' || echo '$(srcdir)/'`src/fortran/zbeskg.f
814
815 zbesyg.lo: src/fortran/zbesyg.f
816         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o zbesyg.lo `test -f 'src/fortran/zbesyg.f' || echo '$(srcdir)/'`src/fortran/zbesyg.f
817
818 libscispecial_functions_la-sci_f_dlgamma.lo: sci_gateway/fortran/sci_f_dlgamma.f
819         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(libscispecial_functions_la_FFLAGS) $(FFLAGS) -c -o libscispecial_functions_la-sci_f_dlgamma.lo `test -f 'sci_gateway/fortran/sci_f_dlgamma.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_dlgamma.f
820
821 libscispecial_functions_la-sci_f_lgamma.lo: sci_gateway/fortran/sci_f_lgamma.f
822         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(libscispecial_functions_la_FFLAGS) $(FFLAGS) -c -o libscispecial_functions_la-sci_f_lgamma.lo `test -f 'sci_gateway/fortran/sci_f_lgamma.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_lgamma.f
823
824 libscispecial_functions_la-sci_f_gamma.lo: sci_gateway/fortran/sci_f_gamma.f
825         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(libscispecial_functions_la_FFLAGS) $(FFLAGS) -c -o libscispecial_functions_la-sci_f_gamma.lo `test -f 'sci_gateway/fortran/sci_f_gamma.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_gamma.f
826
827 libscispecial_functions_la-sci_f_calerf.lo: sci_gateway/fortran/sci_f_calerf.f
828         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(libscispecial_functions_la_FFLAGS) $(FFLAGS) -c -o libscispecial_functions_la-sci_f_calerf.lo `test -f 'sci_gateway/fortran/sci_f_calerf.f' || echo '$(srcdir)/'`sci_gateway/fortran/sci_f_calerf.f
829
830 mostlyclean-libtool:
831         -rm -f *.lo
832
833 clean-libtool:
834         -rm -rf .libs _libs
835 install-libscispecial_functions_la_etcDATA: $(libscispecial_functions_la_etc_DATA)
836         @$(NORMAL_INSTALL)
837         test -z "$(libscispecial_functions_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscispecial_functions_la_etcdir)"
838         @list='$(libscispecial_functions_la_etc_DATA)'; test -n "$(libscispecial_functions_la_etcdir)" || list=; \
839         for p in $$list; do \
840           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
841           echo "$$d$$p"; \
842         done | $(am__base_list) | \
843         while read files; do \
844           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispecial_functions_la_etcdir)'"; \
845           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispecial_functions_la_etcdir)" || exit $$?; \
846         done
847
848 uninstall-libscispecial_functions_la_etcDATA:
849         @$(NORMAL_UNINSTALL)
850         @list='$(libscispecial_functions_la_etc_DATA)'; test -n "$(libscispecial_functions_la_etcdir)" || list=; \
851         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
852         test -n "$$files" || exit 0; \
853         echo " ( cd '$(DESTDIR)$(libscispecial_functions_la_etcdir)' && rm -f" $$files ")"; \
854         cd "$(DESTDIR)$(libscispecial_functions_la_etcdir)" && rm -f $$files
855 install-libscispecial_functions_la_rootDATA: $(libscispecial_functions_la_root_DATA)
856         @$(NORMAL_INSTALL)
857         test -z "$(libscispecial_functions_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscispecial_functions_la_rootdir)"
858         @list='$(libscispecial_functions_la_root_DATA)'; test -n "$(libscispecial_functions_la_rootdir)" || list=; \
859         for p in $$list; do \
860           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
861           echo "$$d$$p"; \
862         done | $(am__base_list) | \
863         while read files; do \
864           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispecial_functions_la_rootdir)'"; \
865           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispecial_functions_la_rootdir)" || exit $$?; \
866         done
867
868 uninstall-libscispecial_functions_la_rootDATA:
869         @$(NORMAL_UNINSTALL)
870         @list='$(libscispecial_functions_la_root_DATA)'; test -n "$(libscispecial_functions_la_rootdir)" || list=; \
871         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
872         test -n "$$files" || exit 0; \
873         echo " ( cd '$(DESTDIR)$(libscispecial_functions_la_rootdir)' && rm -f" $$files ")"; \
874         cd "$(DESTDIR)$(libscispecial_functions_la_rootdir)" && rm -f $$files
875 install-libscispecial_functions_la_sci_gatewayDATA: $(libscispecial_functions_la_sci_gateway_DATA)
876         @$(NORMAL_INSTALL)
877         test -z "$(libscispecial_functions_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)"
878         @list='$(libscispecial_functions_la_sci_gateway_DATA)'; test -n "$(libscispecial_functions_la_sci_gatewaydir)" || list=; \
879         for p in $$list; do \
880           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
881           echo "$$d$$p"; \
882         done | $(am__base_list) | \
883         while read files; do \
884           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)'"; \
885           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)" || exit $$?; \
886         done
887
888 uninstall-libscispecial_functions_la_sci_gatewayDATA:
889         @$(NORMAL_UNINSTALL)
890         @list='$(libscispecial_functions_la_sci_gateway_DATA)'; test -n "$(libscispecial_functions_la_sci_gatewaydir)" || list=; \
891         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
892         test -n "$$files" || exit 0; \
893         echo " ( cd '$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)' && rm -f" $$files ")"; \
894         cd "$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)" && rm -f $$files
895
896 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
897         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
898         unique=`for i in $$list; do \
899             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
900           done | \
901           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
902               END { if (nonempty) { for (i in files) print i; }; }'`; \
903         mkid -fID $$unique
904 tags: TAGS
905
906 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
907                 $(TAGS_FILES) $(LISP)
908         set x; \
909         here=`pwd`; \
910         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
911         unique=`for i in $$list; do \
912             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
913           done | \
914           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
915               END { if (nonempty) { for (i in files) print i; }; }'`; \
916         shift; \
917         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
918           test -n "$$unique" || unique=$$empty_fix; \
919           if test $$# -gt 0; then \
920             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
921               "$$@" $$unique; \
922           else \
923             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
924               $$unique; \
925           fi; \
926         fi
927 ctags: CTAGS
928 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
929                 $(TAGS_FILES) $(LISP)
930         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
931         unique=`for i in $$list; do \
932             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
933           done | \
934           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
935               END { if (nonempty) { for (i in files) print i; }; }'`; \
936         test -z "$(CTAGS_ARGS)$$unique" \
937           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
938              $$unique
939
940 GTAGS:
941         here=`$(am__cd) $(top_builddir) && pwd` \
942           && $(am__cd) $(top_srcdir) \
943           && gtags -i $(GTAGS_ARGS) "$$here"
944
945 distclean-tags:
946         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
947
948 distdir: $(DISTFILES)
949         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
950         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
951         list='$(DISTFILES)'; \
952           dist_files=`for file in $$list; do echo $$file; done | \
953           sed -e "s|^$$srcdirstrip/||;t" \
954               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
955         case $$dist_files in \
956           */*) $(MKDIR_P) `echo "$$dist_files" | \
957                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
958                            sort -u` ;; \
959         esac; \
960         for file in $$dist_files; do \
961           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
962           if test -d $$d/$$file; then \
963             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
964             if test -d "$(distdir)/$$file"; then \
965               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
966             fi; \
967             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
968               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
969               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
970             fi; \
971             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
972           else \
973             test -f "$(distdir)/$$file" \
974             || cp -p $$d/$$file "$(distdir)/$$file" \
975             || exit 1; \
976           fi; \
977         done
978 check-am: all-am
979         $(MAKE) $(AM_MAKEFLAGS) check-local
980 check: check-am
981 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
982 installdirs:
983         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscispecial_functions_la_etcdir)" "$(DESTDIR)$(libscispecial_functions_la_rootdir)" "$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)"; do \
984           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
985         done
986 install: install-am
987 install-exec: install-exec-am
988 install-data: install-data-am
989 uninstall: uninstall-am
990
991 install-am: all-am
992         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
993
994 installcheck: installcheck-am
995 install-strip:
996         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
997           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
998           `test -z '$(STRIP)' || \
999             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1000 mostlyclean-generic:
1001
1002 clean-generic:
1003
1004 distclean-generic:
1005         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1006         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1007
1008 maintainer-clean-generic:
1009         @echo "This command is intended for maintainers to use"
1010         @echo "it deletes files that may require special tools to rebuild."
1011 clean: clean-am
1012
1013 clean-am: clean-generic clean-libtool clean-local \
1014         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1015
1016 distclean: distclean-am
1017         -rm -rf ./$(DEPDIR)
1018         -rm -f Makefile
1019 distclean-am: clean-am distclean-compile distclean-generic \
1020         distclean-local distclean-tags
1021
1022 dvi: dvi-am
1023
1024 dvi-am:
1025
1026 html: html-am
1027
1028 html-am:
1029
1030 info: info-am
1031
1032 info-am:
1033
1034 install-data-am: install-data-local \
1035         install-libscispecial_functions_la_etcDATA \
1036         install-libscispecial_functions_la_rootDATA \
1037         install-libscispecial_functions_la_sci_gatewayDATA
1038
1039 install-dvi: install-dvi-am
1040
1041 install-dvi-am:
1042
1043 install-exec-am: install-pkglibLTLIBRARIES
1044
1045 install-html: install-html-am
1046
1047 install-html-am: install-html-local
1048
1049 install-info: install-info-am
1050
1051 install-info-am:
1052
1053 install-man:
1054
1055 install-pdf: install-pdf-am
1056
1057 install-pdf-am:
1058
1059 install-ps: install-ps-am
1060
1061 install-ps-am:
1062
1063 installcheck-am:
1064
1065 maintainer-clean: maintainer-clean-am
1066         -rm -rf ./$(DEPDIR)
1067         -rm -f Makefile
1068 maintainer-clean-am: distclean-am maintainer-clean-generic
1069
1070 mostlyclean: mostlyclean-am
1071
1072 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1073         mostlyclean-libtool
1074
1075 pdf: pdf-am
1076
1077 pdf-am:
1078
1079 ps: ps-am
1080
1081 ps-am:
1082
1083 uninstall-am: uninstall-libscispecial_functions_la_etcDATA \
1084         uninstall-libscispecial_functions_la_rootDATA \
1085         uninstall-libscispecial_functions_la_sci_gatewayDATA \
1086         uninstall-pkglibLTLIBRARIES
1087
1088 .MAKE: check-am install-am install-strip
1089
1090 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1091         clean clean-generic clean-libtool clean-local \
1092         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1093         distclean distclean-compile distclean-generic \
1094         distclean-libtool distclean-local distclean-tags distdir dvi \
1095         dvi-am html html-am info info-am install install-am \
1096         install-data install-data-am install-data-local install-dvi \
1097         install-dvi-am install-exec install-exec-am install-html \
1098         install-html-am install-html-local install-info \
1099         install-info-am install-libscispecial_functions_la_etcDATA \
1100         install-libscispecial_functions_la_rootDATA \
1101         install-libscispecial_functions_la_sci_gatewayDATA install-man \
1102         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1103         install-ps install-ps-am install-strip installcheck \
1104         installcheck-am installdirs maintainer-clean \
1105         maintainer-clean-generic mostlyclean mostlyclean-compile \
1106         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1107         tags uninstall uninstall-am \
1108         uninstall-libscispecial_functions_la_etcDATA \
1109         uninstall-libscispecial_functions_la_rootDATA \
1110         uninstall-libscispecial_functions_la_sci_gatewayDATA \
1111         uninstall-pkglibLTLIBRARIES
1112
1113
1114 # This target enables tests for Scilab
1115 check-local: $(top_builddir)/scilab-bin test
1116         @COMMAND="test_run('$(modulename)');quit";\
1117         export LANG=C;\
1118         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1119 check-code:
1120         if test -f build.xml; then \
1121                 $(ANT) checkstyle; \
1122         fi
1123         if test -x "$(SPLINT)"; then \
1124                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1125         fi
1126 @NEED_JAVA_TRUE@java:
1127 # Some configurations needs to export JAVA_HOME in the current env
1128 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1129 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1130 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1131 @NEED_JAVA_TRUE@                $(ANT); \
1132 @NEED_JAVA_TRUE@        fi
1133
1134 @NEED_JAVA_TRUE@clean-java:
1135 # Some configurations needs to export JAVA_HOME in the current env
1136 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1137 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1138 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1139 @NEED_JAVA_TRUE@                $(ANT) clean; \
1140 @NEED_JAVA_TRUE@        fi;
1141
1142 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1143 # We call the target swig-build on the variable SWIG_WRAPPERS
1144
1145 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1146 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1147 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1148 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1149 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1150 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1151 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1152 @SWIG_TRUE@             done; \
1153 @SWIG_TRUE@     fi
1154
1155 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1156 # We call the target swig-build on the variable SWIG_WRAPPERS
1157
1158 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1159 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1160 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1161 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1162 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1163 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1164 @GIWS_TRUE@             done; \
1165 @GIWS_TRUE@     fi
1166
1167 @GIWS_TRUE@giws-exception:
1168 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1169 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1170 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1171
1172 macros:
1173         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1174                 echo "Error : Cannot build $< : Scilab has not been built"; \
1175         else \
1176                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1177         fi)
1178
1179 # Removes the macros
1180 clean-macros:
1181 # Removes macros (*.bin generated from .sci)
1182         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1183                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1184                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1185         done
1186
1187 test:
1188 # More tests could be added here
1189         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1190         if test -f build.xml -a $$USEANT -eq 1; then \
1191                 $(ANT) test; \
1192         fi
1193
1194 all-local: $(TARGETS_ALL)
1195
1196 .sci.bin:
1197         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1198         echo "Error : Cannot build $< : Scilab has not been build"; \
1199         else \
1200         echo "Creating $@"; \
1201         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1202         fi )
1203
1204 install-html-local:
1205
1206 install-data-local-local:
1207 # Mainly for javasci
1208         @if test -d $(srcdir)/javadoc; then \
1209                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1210         fi
1211 # If the user wants the help sources to be installed
1212 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1213 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1214 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1215 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1216 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1217 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1218 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1219 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1220 @INSTALL_HELP_XML_TRUE@           done ; \
1221 @INSTALL_HELP_XML_TRUE@         fi; \
1222 @INSTALL_HELP_XML_TRUE@  fi; \
1223 @INSTALL_HELP_XML_TRUE@ done; \
1224 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1225 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1226 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1227 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1228 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1229 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1230 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1231 @INSTALL_HELP_XML_TRUE@           done ; \
1232 @INSTALL_HELP_XML_TRUE@         fi; \
1233 @INSTALL_HELP_XML_TRUE@ fi
1234 install-data-local:
1235 # Install the tests
1236         @echo "-------- Install tests (if any) --------"; \
1237         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1238           if test -d $(srcdir)/$$dir/; then \
1239             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1240                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1241                     if test -d "$(srcdir)/$$dir/$$file"; then \
1242                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1243                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1244                     else \
1245                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1246                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1247                     fi \
1248                   done; \
1249           fi; \
1250         done
1251 # Install the help chapter
1252         @echo "-------- Install the help chapter (if any) --------"; \
1253         for lang in $(HELP_CHAPTERLANG); do \
1254                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1255                 if test -f $$HELPFILE; then \
1256                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1257                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1258                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1259                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1260                 fi; \
1261         done
1262 # Install the demos & examples
1263         @echo "-------- Install demos & examples (if any) --------"; \
1264         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1265           if test -d $(srcdir)/$$dir/; then \
1266             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1267                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1268                     if test -d "$(srcdir)/$$dir/$$file"; then \
1269                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1270                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1271                     else \
1272                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1273                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1274                     fi \
1275                   done; \
1276           fi; \
1277         done
1278 # Install the macros
1279         @echo "-------- Install macros (if any) --------"; \
1280         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1281           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1282                 if test -d $(srcdir)/$$dir/; then \
1283                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1284                         if test -n "$(MACROSSPECIALEXT)"; then \
1285                                 specialExtDir=""; \
1286                                 for specialExt in $(MACROSSPECIALEXT); do \
1287                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1288                                 done; \
1289                                 FILELIST="$$FILELIST $$specialExtDir"; \
1290                         fi; \
1291                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1292                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1293                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1294                   done; \
1295                 fi; \
1296         done
1297 # Install java files (.jar)
1298         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1299         echo "-------- Install jar files --------"; \
1300     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1301           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1302                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1303                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1304           done ; \
1305         fi
1306
1307 ########### CLEAN ###################
1308 # Clean help (generated automatically by Scilab)
1309 # It used to clean the macro (clean-macros) but this was causing
1310 # make clean && make to fail Scilab startup
1311 @NEED_JAVA_TRUE@clean-local: clean-java
1312 @NEED_JAVA_FALSE@clean-local:
1313
1314 distclean-local:
1315         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1316
1317 .PHONY: macros java swig giws
1318
1319 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1320 # Otherwise a system limit (for SysV at least) may be exceeded.
1321 .NOEXPORT: